﻿using Syncfusion.Data;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridDemo
{
    public class ViewModel
    {
        ObservableCollection<Model> orderCollection;
        public ObservableCollection<Model> OrderInfoCollection
        {
            get { return orderCollection; }
            set { orderCollection = value; }
        }       
        public ViewModel()
        {
            orderCollection = new ObservableCollection<Model>();
            this.GenerateOrders();
        }
        private void GenerateOrders()
        {
            orderCollection.Add(new Model(10001, "Maria Anders ", "Germany", "ALFKI", "Berlin"));
            orderCollection.Add(new Model(1002, "Ana Trujilo", "Mexico", "ANATR", "México D.F."));
            orderCollection.Add(new Model(1003, "Antonio Moreno", "Mexico", "ANTON", "México D.F."));
            orderCollection.Add(new Model(1004, "Thomas Hardy", "UK", "AROUT", "London"));
            orderCollection.Add(new Model(1005, "Christina Berglund", "Sweden", "BERGS", "Luleå"));
            orderCollection.Add(new Model(1006, "Hanna Moos", "Germany", "BLAUS", "Mannheim"));
            orderCollection.Add(new Model(1007, "Frédérique Citeaux", "France", "BLONP", "Strasbourg"));
            orderCollection.Add(new Model(1008, "Martin Sommer", "Spain", "BOLID", "Madrid"));
            orderCollection.Add(new Model(1009, "Laurence Lebihan", "France", "BONAP", "Marseille"));
            orderCollection.Add(new Model(1010, "Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen"));
            orderCollection.Add(new Model(1011, "Martin Sommer", "Spain", "BOLID", "Madrid"));
            orderCollection.Add(new Model(1012, "Laurence Lebihan", "France", "BONAP", "Marseille"));
            orderCollection.Add(new Model(1013, "Elizabeth Lincolna", "Canada", "BOTTM", "Tsawassen"));
            orderCollection.Add(new Model(1014, "Martin Sommer", "Spain", "BOLID", "Madrid"));
            orderCollection.Add(new Model(1015, "Laurence Lebihan", "France", "BONAP", "Marseille"));
            orderCollection.Add(new Model(1016, "Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen"));
           
        }


        public void AddOrder()
        {
            orderCollection.Add(new Model(2343232, "Maria Anders Maria Anders Maria Anders", "Germany", "ALFKI", "Berlin"));
        }
    }
}

